This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 672343

Summary: Backup functionality doesn't exist in EAP 5.x plugin
Product: [Other] RHQ Project Reporter: Bruno Machado <bmachado>
Component: PluginsAssignee: RHQ Project Maintainer <rhq-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 3.0.0CC: jshaughn, loleary
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-03 15:19:34 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Bruno Machado 2011-01-24 16:45:37 EST
Description of problem:
You cannot back up existing EAR and WAR resources when deploying a new resource with the same name and type using EAP 5.x plug-in, but it exists in EAP 4.x plug-in.

Version-Release number of selected component (if applicable):
2.4

How reproducible:
Follow the steps described in using [1] EAP 5.x plugin:
[1] http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/2.4/html/Basic_Admin_Guide/sect-Basic_Admin_Guide-Importing_and_Organizing_Resources-Backup.html

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
The same behaviour of EAP 4.x plugin described in [1]

Additional info:
Comment 2 Jay Shaughnessy 2014-07-03 15:19:34 EDT
I think using bundles, or possibly versioned deployments in JON 3.3 AS7 plugin may suffice here.